function [ y ] = pol1(p,x)
%
%   y = p(1)*x^n + p(2)*x^(n-1) + ... + p(n)*x + p(n+1)
%
% x vettore
% 
nc = length(p);
n = nc-1;
y = p(nc);
for i=n:-1:1
    y = y+p(i).*x.^(nc-i);
end
% numero di operazioni aritmetiche di base, complessita' computazionale
%   n somme
%   n prodotti
% n elevamenti a potenza =  1+2+3+ ... + (n-1) prodotti =n*(n-1)/2 prodotti
% prodotti totali sono n+ n*(n-1)/2 = n*(n+1)/2
%   prodotti O(n^2)

end

